# MEM Informatica Srl
# Aggiornamento AJ324 demografici

# Stop dei servizi
/etc/init.d/veryant stop

# Copia archivi pre-aggiornamento
tar cvfz /home/jsibac/copie/jdemdati_copia.tar.gz /home/jsibac/jdem/e001/dati/DE*
tar cvfz /home/jsibac/copie/jdemclass_copia_tar.gz /home/jsibac/jdem/class/*.*
tar cvfz /home/jsibac/copie/jbase_copia.tar.gz /home/jsibac/jbase/*.* 

# Pulizia eventuali altri files di aggiornamento
rm -rf AGGRPT/
rm -rf AGJDEMCLASS/
rm -rf AGJDEMDATI/
rm -rf AGJBASECLASS/
rm -r ag*.gz

# Scompattazione file e aggiornamento
tar xvf aj324_tar.tar.gz 
tar xvf aggrpt.tar.gz
cp -rpvf AGGRPT/*.* /home/jsibac/jdem/class
tar xvf agjdemclass.tar.gz AGJDEMCLASS
cp -rpvf AGJDEMCLASS/*.* /home/jsibac/jdem/class
tar xvf agjdemdati.tar.gz AGJDEMDATI
cp -rpvf AGJDEMDATI/*.* /home/jsibac/jdem/e001/dati
tar xvf agjbaseclass.tar.gz AGJBASECLASS 
cp -rpvf AGJBASECLASS/*.* /home/jsibac/jbase 

# Cancellazione files juti
rm -rf /home/jsibac/juti/e001/dati/UTJSTOPO.dat
rm -rf /home/jsibac/juti/e001/dati/UTJSTOPO.idx 
rm -rf /home/jsibac/juti/e001/dati/UTJSTDUG.dat
rm -rf /home/jsibac/juti/e001/dati/UTJSTDUG.idx

# Permissioni e autorizzazioni files
#cd /home/jsibac/jdem
#chown jsibac.prg-jsibac -R *
#chmod 777 -R *
#cd /home/jsibac/jbase
#chown jsibac.prg-jsibac -R *
#chmod 777 -R *

# Cancellazione files cartella data del server ctree
rm -rf /home/jsibac/ctree/server/data/*

# Riavvio servizio
/etc/init.d/veryant start 

# Attribuzione permissioni
cd /home 
chown jsibac.prg-jsibac -R jsibac/ 
chmod 777 -R jsibac/
